Skip to main content
GET
/
v1
/
pricing
/
spot_prices
/
{chainName}
/
pools
/
{contractAddress}
/
GoldRush SDK
import { GoldRushClient } from "@covalenthq/client-sdk";

const ApiServices = async () => {
    const client = new GoldRushClient("<GOLDRUSH_API_KEY>");
    const resp = await client.PricingService.getPoolSpotPrices({chainName: "chainName", walletAddress: "walletAddress"});
    console.log(resp.data);
};

ApiServices();
{
  "updated_at": "2023-11-07T05:31:56Z",
  "pool_address": "<string>",
  "token_0_address": "<string>",
  "token_0_name": "<string>",
  "token_0_ticker": "<string>",
  "token_0_price": "<string>",
  "token_0_price_24h": "<string>",
  "token_0_price_quote": "<string>",
  "token_0_price_24h_quote": "<string>",
  "token_1_address": "<string>",
  "token_1_name": "<string>",
  "token_1_ticker": "<string>",
  "token_1_price": "<string>",
  "token_1_price_24h": "<string>",
  "token_1_price_quote": "<string>",
  "token_1_price_24h_quote": "<string>",
  "quote_currency": "<string>"
}

Credit Cost

1 per call

Processing

Batch
Estimate your monthly cost for this API using the Pricing Calculator.
Supports pools on Uniswap V2, V3 and their forks on all Foundational Chains.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form: Bearer <token>, where <token> is your GoldRush API Key.

Path Parameters

chainName
string
required

The chain name eg: eth-mainnet.

contractAddress
string
required

The pool contract address.

Query Parameters

quote-currency
string

The currency to convert. Supports USD, CAD, EUR, SGD, INR, JPY, VND, CNY, KRW, RUB, TRY, NGN, ARS, AUD, CHF, and GBP.

Response

200 - application/json

Successful response

updated_at
string<date-time>

The timestamp when the response was generated.

pool_address
string

The deployed pool contract address.

token_0_address
string

The deployed contract address of token_0 in the token pair making up the pool.

token_0_name
string

The deployed contract name of token_0 in the token pair making up the pool.

token_0_ticker
string

The deployed contract symbol of token_0 in the token pair making up the pool.

token_0_price
string

Price of token_0 in units of token_1.

token_0_price_24h
string

Price of token_0 in units of token_1 as of 24 hours ago.

token_0_price_quote
string

Price of token_0 in the selected quote currency (defaults to USD).

token_0_price_24h_quote
string

Price of token_0 in the selected quote currency (defaults to USD) as of 24 hours ago.

token_1_address
string

The deployed contract address of token_1 in the token pair making up the pool.

token_1_name
string

The deployed contract name of token_1 in the token pair making up the pool.

token_1_ticker
string

The deployed contract symbol of token_1 in the token pair making up the pool.

token_1_price
string

Price of token_1 in units of token_0.

token_1_price_24h
string

Price of token_1 in units of token_0 as of 24 hours ago.

token_1_price_quote
string

Price of token_1 in the selected quote currency (defaults to USD).

token_1_price_24h_quote
string

Price of token_1 in the selected quote currency (defaults to USD) as of 24 hours ago.

quote_currency
string

The currency to convert. Supports USD, CAD, EUR, SGD, INR, JPY, VND, CNY, KRW, RUB, TRY, NGN, ARS, AUD, CHF, GBP, BTC and ETH.